Subject: RFC4684 errata

From: "t.petch" <[email-masked]>
Date: Wed, 29 Nov 2006 09:32:49 +0100

I believe that there are errata in RFC4684

s3.2 of this RFC seems to have lost a word or two where it says

'and the Next-hop attribute shall be set of the local
        address for that session.'

Changing 'set of' to 'set to' does not help as it begs the question what
session?  Route reflectors have BGP sessions with route reflector clients, other
route reflectors and with other BGP speakers that are not involved with route
reflection.  Looking at the I-D, this is precisely the end of a line and I
wonder if it is a line or two of text that has gone missing.  So change of to to
and I might raise an erratum on the grounds that it does not make sense:-)

s4 "As the origin-as field cannot be interpreted as a prefix." I cannot parse as
a sentence (note that, in this memo, 'as' is sometimes the English conjunction,
sometimes an abbreviation for Autonomous System)

s6 "withdrawls" (indicative of a Texas accent?)

As ever, I have e-mailed the authors direct; as ever, they have not responded.

Overall, this seems a poor memo, much of it hard to understand because it does
not spell out in sufficiently clear language what concepts it is referring to,
that is, it is aimed at an expert audience who already know what it says; but
that comment will have to wait for a -bis.

Tom Petch